﻿
#images-box {
    /* La largeur totale du bloc conteneur, essentiellement pour le centrage */
    width: 500px;
    margin: 0px 0px;
    position: relative;
    top: 70px;
}
 
.image-lightbox img {
    /* Chaque image hérite ses dimensions de son parent */
    width: inherit;
    height: inherit;
}
 
.holder {
    /* Dimension des images, vous pouvez les modifier */
    width: 250px;
    height: 166px;
    /* Flottement à gauche, donc l'ensemble est aligné à droite */
    float: left;
    margin: 0 20px 0 0;
}
 
.image-lightbox {
    /* Les dimensions héritent de .holder */
    width: inherit;
    height: inherit;
    padding: 10px;
    /* Ombrage des blocs */
    box-shadow: 0px 0px 10px rgba(0,0,0,0.1);
    background: #fff;
    border-radius: 5px;
    /* Position absolue pour permettre de zoomer ultérieurement */
    position: absolute;
    top: 0;
    font-family: Arial, sans-serif;
    /* Transitions pour rendre l'ensemble visuellement abouti */
    -webkit-transition: all ease-in 0.5s;
    -moz-transition: all ease-in 0.5s;
    -ms-transition: all ease-in 0.5s;
    -o-transition: all ease-in 0.5s;
}
 
.image-lightbox span {
    display: none;
}
 
.image-lightbox .expand {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 4000;
    background: rgba(0,0,0,0); /* Fixe un bogue d'IE */
}
 
.image-lightbox .close {
    position: absolute;
    width: 20px; height: 20px;
    right: 20px; top: 20px;
}
 
.image-lightbox .close a {
    height: auto; width: auto;
    padding: 5px 10px;
    color: #fff;
    text-decoration: none;
    background: #22272c;
    box-shadow: inset 0px 24px 20px -15px rgba(255, 255, 255, 0.1), 
        inset 0px 0px 10px rgba(0,0,0,0.4), 
        0px 0px 30px rgba(255,255,255,0.4);
    border-radius: 5px;
    font-weight: bold;
    float: right;
}
 
.close a:hover {
    box-shadow: inset 0px -24px 20px -15px rgba(255, 255, 255, 0.01), 
        inset 0px 0px 10px rgba(0,0,0,0.4), 
        0px 0px 20px rgba(255,255,255,0.4);
}
 
div[id^=image]:target {
    width: 450px;
    height: 300px;
    z-index: 5000;
    top: 50px;
    left: 200px;
}
div[id^=image]:target .close {
    display: block;
}
 
div[id^=image]:target .expand {
    display: none;
}
 
div#image-1:target, div#image-2:target, div#image-3:target { left: 200px; }
 
div#image-1 { left: 0; }
div#image-2 { left: 290px; }
div#image-3 { left: 580px; }